Update blocked identity
Update comment and name fields on a blocked identity. Requires a Write key.
POST
/identity-logs/blocked/{blockedId}Autorisation
AutorisationJeton Bearer (API key) · headerobligatoireClé API de l’organisation.
Paramètres de chemin
blockedIdstringobligatoireCorps de la requête
obligatoireapplication/jsoncommentstringobligatoirefirst_namestringobligatoirelast_namestringobligatoireRéponses
200Updated
successbooleanobligatoire400Bad request
errorValidationErrorobligatoireDétails de validation.
Afficher les propriétésMasquer les propriétés
formErrorsstring[]obligatoirefieldErrorsobjectobligatoire403Unauthorized, or identity logs not enabled for this organization
statusCodeintegerobligatoireCode de statut HTTP
messagestringobligatoireMessage d’erreur lisible
timestampstring<date-time>obligatoirepathstringobligatoireChemin de la requête
404Not found
statusCodeintegerobligatoireCode de statut HTTP
messagestringobligatoireMessage d’erreur lisible
timestampstring<date-time>obligatoirepathstringobligatoireChemin de la requête
Requête
curl -X POST "https://dashboard.scango.ch/api/v1/identity-logs/blocked/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"comment": "string",
"first_name": "string",
"last_name": "string"
}'const response = await fetch("https://dashboard.scango.ch/api/v1/identity-logs/blocked/string", {
method: "POST",
headers: {
"Autorisation": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"comment": "string",
"first_name": "string",
"last_name": "string"
})
});Réponse
{
"success": true
}{
"error": {
"formErrors": [
"string"
],
"fieldErrors": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}